<div>
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">แนวคิดผลิตภัณฑ์
        </a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับแนวคิดและผลิตภัณฑ์ตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="validate === true">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraftData()">
          บันทึกร่างใบคำขอ
        </button>
      </div>

      <!-- <div *ngIf="userRole === 'PO'">
        <button
          type="button"
          class="btn btn-primary sandwork"
          (click)="sandwork()"
        >
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>

  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>
<br />
<!-- =============================================Part Read Only=================================================== -->
<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง

        </a>
      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">
        <app-step-one [template_manage]="{ role: null, validate: null, caaStatus: 'show' }"></app-step-one>
        <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
        <div *ngIf="validate == true">
          <div class="typeofcollateral">
            <p class="head-detal">อัปโหลดเอกสาร</p>
            <div class="dropzone">
              <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                (change)="onSelectFile($event)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                .jpg,.png" />
              <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              <a for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
            </div>
          </div>
          <br />
          <div class="row">
            <div class="col-12 table_files">
              <table mat-table [dataSource]="dataSource_file">
                <!-- Position Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                  <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="size">
                  <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                  <td mat-cell *matCellDef="let element">
                    {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                  </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="delete">
                  <th mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element; let index = index">
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                      (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                      (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                    <a class="pipe">|</a>
                    <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
              </table>
            </div>
          </div>
        </div>

        <!-- --------------------------------------------------------------------------------------------------------- -->
      </div>
    </div>
  </div>

  <div *ngIf="parentRequestId.length > 0">
    <div *ngFor="let item of parentRequestId; let idetail = index">
      <div class="card">
        <div class="card-header" id="headingTwo_{{idetail}}">
          <div class="d-flex" style="width: 100%; height: 30%;">
            <div class="btn text-header-panel">
              รายละเอียดที่นำเสนอในครั้งก่อน ({{item.lastReviewDate}})
            </div>
            <a *ngIf="showsearch[idetail].value  === true" class="btn btn-link" data-toggle="collapse"
              attr.data-target="#collapseTwo_{{idetail}}" aria-expanded="false"
              attr.aria-controls="collapseTwo_{{idetail}}" (click)="showSearch(idetail)"
              (click)="getDetail(item.requestId ,idetail)">
              แสดงผลเพิ่มเติม
            </a>
            <a *ngIf="showsearch[idetail].value === false" class="btn btn-link" data-toggle="collapse"
              attr.data-target="#collapseTwo_{{idetail}}" aria-expanded="false"
              attr.aria-controls="collapseTwo_{{idetail}}" (click)="showSearch(idetail)"
              (click)="getDetail(item.requestId ,idetail)">
              แสดงผลน้อยลง
            </a>
          </div>
        </div>

        <div id="collapseTwo_{{idetail}}" class="collapse multi-collapse" aria-labelledby="headingTwo"
          data-parent="#accordion">
          <div class="card-body">
            <!-- ----------------------------------------- วัตถุประสงค์ของผลิตภัณฑ์ -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">วัตถุประสงค์ของผลิตภัณฑ์</p>
              </div>
              <div
                style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                <textarea class="form-control" id="exampleFormControlTextarea1" rows="3"
                  placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ "
                  style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepOne.objectiveText"
                  disabled></textarea>
                <div style="height: auto;position:relative;background-color:#e9ecef;">
                  <div class="col-12">
                    <div>
                      <div class="input_upload" style="color: #999999;min-height:130px">
                        <hr style="margin: 0px;" />
                        {{ image1.length }} ไฟล์ภาพที่แนบมา

                        <div class="image_row">
                          <div class="row image_col" style="  padding-left: 15px;
                      padding-bottom: 15px;">
                            <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                              <div class="unnon_image">
                                <img [src]="image1[i]" alt="{{ stepOne.objective.file[i].fileName }}"
                                  title="{{ stepOne.objective.file[i].fileName }}" class="photo"
                                  (click)="image_click(1, i)" />
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>


                    </div>
                  </div>
                </div>
              </div>
            </div>
            <br />
            <!-- ----------------------------------------- Business Model -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">Business Model</p>
              </div>
              <div
                style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                  placeholder="ระบุรายละเอียดBusiness Modelของผลิตภัณฑ์ "
                  style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepOne.businessModelText"
                  disabled></textarea>
                <div style="height: auto;position:relative;background-color:#e9ecef;">
                  <div class="col-12">
                    <div>
                      <div class="input_upload" style="color: #999999;min-height:130px">
                        <hr style="margin: 0px;" />
                        {{ image2.length }} ไฟล์ภาพที่แนบมา

                        <div class="image_row">
                          <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                            <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                              <div class="unnon_image">
                                <img [src]="image2[i]" alt="{{ stepOne.businessModel.file[i].fileName }}"
                                  title="{{ stepOne.businessModel.file[i].fileName }}" class="photo"
                                  (click)="image_click(2, i)" />
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>


                    </div>
                  </div>
                </div>
              </div>
            </div>
            <br />
            <!-- ------------------------------------------ ลักษณะผลิตภัณฑ์------------------------------------------------- -->
            <div class="row">
              <div style="margin-left: 10px;">
                <p class="head-detal">ลักษณะผลิตภัณฑ์</p>
              </div>
              <div
                style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                  placeholder="เพิ่มรายละเอียดลักษณะผลิตภัณฑ์ "
                  style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepOne.detailText"
                  disabled></textarea>
                <div style="height: auto;position:relative;background-color:#e9ecef;">
                  <div class="col-12">
                    <div>
                      <div class="input_upload" style="color: #999999;min-height:130px">
                        <hr style="margin: 0px;" />
                        {{ image3.length }} ไฟล์ภาพที่แนบมา

                        <div class="image_row">
                          <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                            <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                              <div class="unnon_image">
                                <img [src]="image3[i]" alt="{{ stepOne.detail.file[i].fileName }}"
                                  title="{{ stepOne.detail.file[i].fileName }}" class="photo"
                                  (click)="image_click(3, i)" />
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>


                    </div>
                  </div>
                </div>
              </div>


            </div>
            <br />

            <!-- ----------------------------------------- จัดทำข้อตกลงหรือเงื่อนไขกับหน่วยงานภายนอกหรือไม่ -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">
                  จัดทำข้อตกลงหรือเงื่อนไขกับหน่วยงานภายนอกหรือไม่
                </p>
              </div>
              <div class="col-12 body-detal-checkbox">
                <mat-radio-group disabled aria-label="Select an option" [(ngModel)]="agreement">
                  <div class="d-flex align-items-stretch radio-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-radio-button value="1">
                        <div class="bd-highlight radio-detail" [ngClass]="{
                          'checkbox-detail-true':
                            stepOne.externalCommit.yes === true,
                          'checkbox-detail-false':
                            stepOne.externalCommit.yes !== true
                        }">
                          ใช่
                        </div>
                      </mat-radio-button>
                    </div>
                  </div>
                  <div class="d-flex align-items-stretch radio-layout"
                    style="background-color: #e0e0e0; margin-bottom: 10px;">
                    <div class="row body-detal-checkbox" style="width: 100%;">
                      <div class="col-md-6" style="padding-right: 8px;">
                        <p class="input_select">ธนาคารกรุงไทย</p>
                        <textarea type="text" class="form-control input-detail" placeholder=""
                          [(ngModel)]="stepOne.externalCommit.yesDetail.KTB" disabled></textarea>
                      </div>
                      <div class="col-md-6" style="padding-left: 8px;">
                        <p class="input_select">หน่วยงานภายนอก</p>
                        <textarea type="text" class="form-control input-detail" placeholder=""
                          [(ngModel)]="stepOne.externalCommit.yesDetail.external" disabled></textarea>
                      </div>
                    </div>
                  </div>
                  <div class="d-flex align-items-stretch radio-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-radio-button value="2">
                        <div class="bd-highlight radio-detail" [ngClass]="{
                          'checkbox-detail-true':
                            stepOne.externalCommit.no === true,
                          'checkbox-detail-false': stepOne.externalCommit !== true
                        }">
                          ไม่ใช่
                        </div>
                      </mat-radio-button>
                    </div>
                  </div>
                </mat-radio-group>
              </div>
            </div>
            <br />

            <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
            <div>
              <label style="
                color: #999999;
                font-family: Prompt;
                font-size: 18px;
                font-weight: 500;
                letter-spacing: 0;
                line-height: 28px;
              ">ไฟล์เอกสารเพิ่มเติม</label>
              <br />
              <div class="row">
                <div class="col-12 table_files">
                  <table mat-table [dataSource]="dataSource_file_summary">
                    <!-- Position Column -->
                    <ng-container matColumnDef="name">
                      <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                      <td mat-cell *matCellDef="let element">
                        {{ element.fileName }}
                      </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="size">
                      <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                      <td mat-cell *matCellDef="let element">
                        {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                      </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="download">
                      <th mat-header-cell *matHeaderCellDef></th>
                      <td mat-cell *matCellDef="let element; let index = index">
                        <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                      </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns_file_summary"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns_file_summary"></tr>
                  </table>
                </div>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>
  </div>

</div>

<!-- ===================================== next page=================================================== -->
<div *ngIf="validate === true">
  <br />
  <br />
  <div class="row">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step_summary()">
        ถัดไป
      </button>
    </div>
  </div>
  <br />
</div>
<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<div id="myModalSummary" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png" /></span>
  <div style="justify-content: center;">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{ modalImage[modalmainImageIndex] }}" alt="{{ modalImagedetail[modalmainImageIndex].name }}"
        title="{{ modalImagedetail[modalmainImageIndex].name }}" class="modal-image" class="modal-image" />
    </div>
    <br />
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{ modalImage[i] }}" [ngClass]="{
                  'modal-image-gallery': i !== modalmainImageIndex,
                  'modal-image-gallery-select': i === modalmainImageIndex
                }" (click)="modalmainImageIndex = i" />
        </div>
      </div>
    </div>
  </div>
</div>
<!-- ------ -->

<!-- --------------------------------------------(Over multi files Size)--------------------------------------------------->
<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>
<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog " role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
            text-align: center;
            height: 56px;
            padding: 12px;
            background-color: rgba(0, 110, 149, 0.1);
          ">
        <div class="col-12" style="
              text-align: center;
              display: flex;
              align-items: center;
              justify-content: center;
            ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of FileOverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
              justify-items: center !important;
              background-color: #00a4e4;
              width: 150px;
            ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------- (End Over multi files Size) ------------------------------------------------>
<div class="row" *ngIf="validate === false">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>